<?php
if($this->session->userdata('is_logged_in')===FALSE){
            redirect('login');
}

$jenistemplate=intval($jenistemplate);
if(!is_numeric($jenistemplate)){
    show_404();
    exit();
}

foreach ($template->result() as $template){
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}
$url = base_url("resources/template/akta/pidana_militer/".$filename.".rtf");
$Template = file_get_contents($url);
//--------------MULAI--------------------------------------------//
if (!empty($dataputusan->row()->nomor_perkara)){
	$nomorperkara=$dataputusan->row()->nomor_perkara;
	$nomorperkarasplit=explode("/",$nomorperkara);
	$noreg=$nomorperkarasplit[0];
	$matra=$nomorperkarasplit[2];
}else{
	$nomorperkara="..........";
	$noreg="..........";
	$matra="..........";
}
if (!empty($dataputusan->row()->tanggal_bht)){
	$tglbht=$dataputusan->row()->tanggal_bht;
	$tglbhtsplit=explode("-",$tglbht);
	$thnbht=$tglbhtsplit[0];
	$blnbht=$this->templatehelper->converToAngkaRomawi($tglbhtsplit[1]);
	$haribht=$this->templatehelper->getHari($tglbht);
	$tglbht=$this->templatehelper->convertKeTglIndo($tglbht);
}else{
	$tglbht="..........";
	$thnbht="..........";
	$blnbht="..........";	
	$haribht="..........";	
}

if (!empty($dataputusan->row()->namaOditur)){
	$namaOditur=$this->templatehelper->standradnaming($this->templatehelper->ucname($dataputusan->row()->namaOditur));
	$pangkatOditur=$dataputusan->row()->pangkatOditur;
	$namapangkatoditur="$pangkatOditur $namaOditur";
}else{
	$namapangkatoditur="..........";
}
if (!empty($dataputusan->row()->nrpOditur)){	
	$nrpOditur=$dataputusan->row()->nrpOditur;
}else{
	$nrpOditur="..........";
}
if (!empty($dataputusan->row()->tanggal_putusan)){	
	$tglputusan=$this->templatehelper->convertKeTglIndo($dataputusan->row()->tanggal_putusan);
}else{
	$tglputusan="..........";
}


	
if (!empty($datapengadilan->row()->PansekPNNip)){
	$nrppanitera=$datapengadilan->row()->PansekPNNip;
}else{
	$nrppanitera="..........";
}
if (!empty($datapengadilan->row()->PansekPNNama) && !empty($datapengadilan->row()->PansekPNPangkat)){
	$namapanitera=$this->templatehelper->standradnaming($this->templatehelper->ucname($datapengadilan->row()->PansekPNNama));
	$pangkatpanitera=$datapengadilan->row()->PansekPNPangkat;
	$namapangkatpanitera="$pangkatpanitera $namapanitera";
}else{
	$namapanitera="..........";
	$pangkatpanitera="..........";
	$namapangkatpanitera="..........";
}
if (!empty($datapengadilan->row()->KodePN) && !empty($datapengadilan->row()->NamaPN)){
	$kodepengadilan=$datapengadilan->row()->KodePN;
	$kodepengadilansplit=explode(".",$kodepengadilan);
	$kodepengadilan=$kodepengadilansplit[1];
	$namapengadilan=$datapengadilan->row()->NamaPN;
	$namapengadilansplit=explode($kodepengadilan,$namapengadilan);
	$kotapengadilan=trim($namapengadilansplit[1]);
	$kotapengadilan1=$this->templatehelper->ucname($kotapengadilan);
}else{
	$kodepengadilan="..........";
	$kotapengadilan="..........";
	$kotapengadilan1="..........";
}

if (!empty($dataterdakwa->row()->nrp)){
	$nrpterdakwa=$dataterdakwa->row()->nrp;
}else{
	$nrpterdakwa="..........";
}
if (!empty($dataterdakwa->row()->pangkat) && !empty($dataterdakwa->row()->nama)){
	$pangkatterdakwa=$dataterdakwa->row()->pangkat;
	$namaterdakwa=$this->templatehelper->standradnaming($this->templatehelper->ucname($dataterdakwa->row()->nama));
	$namapangkatterdakwa="$pangkatterdakwa $namaterdakwa";
}else{
	$namapangkatterdakwa="..........";
}

if ($tanggapan==1){
	$redaksi="haknya dalam tenggang waktu 7 (tujuh) hari dihitung mulai hari berikutnya setelah Putusan diucapkan/diberitahukan untuk mencabut pernyataan menerima";
}else{
	$redaksi="kesempatan berpikir dalam tenggang waktu 7 (tujuh) hari dihitung mulai hari berikutnya setelah Putusan diucapkan/diberitahukan untuk menyatakan menolak";
}

$Template = str_replace('#nomor_perkara#',''.$nomorperkara.'',$Template);
$Template = str_replace('#no_register#',''.$noreg.'',$Template);
$Template = str_replace('#matra#',''.$matra.'',$Template);
$Template = str_replace('#bulan#',''.$blnbht.'',$Template);
$Template = str_replace('#tahun#',''.$thnbht.'',$Template);
$Template = str_replace('#nama_pangkat_korp_oditur#',''.$namapangkatoditur.'',$Template);
$Template = str_replace('#nrp_oditur#',''.$nrpOditur.'',$Template);
$Template = str_replace('#tanggal_putusan#',''.$tglputusan.'',$Template);
$Template = str_replace('#hari_bht#',''.$haribht.'',$Template);
$Template = str_replace('#tgl_bht#',''.$tglbht.'',$Template);

$Template = str_replace('#nrp_panitera#',''.$nrppanitera.'',$Template);
$Template = str_replace('#nama_panitera#',''.$namapanitera.'',$Template);
$Template = str_replace('#pangkat_korp#',''.$pangkatpanitera.'',$Template);
$Template = str_replace('#nama_pangkat_korp_panitera#',''.$namapangkatpanitera.'',$Template);
$Template = str_replace('#kode_pn1#',''.$kodepengadilan.'',$Template);
$Template = str_replace('#kota_pn1#',''.$kotapengadilan.'',$Template);
$Template = str_replace('#kota_pn#',''.$kotapengadilan1.'',$Template);

$Template = str_replace('#nama_pangkat_korp_terdakwa#',''.$namapangkatterdakwa.'',$Template);
$Template = str_replace('#nrp_terdakwa#',''.$nrpterdakwa.'',$Template);
$Template = str_replace('#redaksi#',''.$redaksi.'',$Template);

header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\"".$namafile."-".$nomorperkara.".rtf\"");
echo $Template;
?>